package com.zksy.pole.service;

import com.zksy.pole.domain.dto.*;

/**
 * @author Administrator
 * @version 1.0
 * @project dh-server-micro
 * @description 指令下发Server
 * @date 2024/8/28 17:34:12
 */
public interface InstructionIssuanceServer {

    public String instructionIssuance(ReportEnvironmentalDataDto dto);

    public String equipmentStatus(BaseDto dto);

    public String scenarioStrategy(ScenarioStrategyDto dto);

    public String delScenarioStrategy(DelScenarioStrategyDto dto);

    public String setGatewayTime(SetGatewayTimeDto dto);

    String reRegistered(BaseDto dto);

    public String relayControl(RelayControlDto dto);

    public String relayTiming(RelayTimingDto dto);

    public String delRelayTiming(DelRelayTimingDto dto);
    public String queryRelayTiming(QueryRelayTimingDto dto);
}
